package ru.dbotthepony.mc.otm.client.screen;

import net.minecraft.network.chat.Component;
import net.minecraft.network.chat.TranslatableComponent;
import net.minecraft.world.entity.player.Inventory;
import ru.dbotthepony.mc.otm.client.screen.panels.*;
import ru.dbotthepony.mc.otm.client.screen.widget.MatterGaugePanel;
import ru.dbotthepony.mc.otm.client.screen.widget.PowerGaugePanel;
import ru.dbotthepony.mc.otm.client.screen.widget.ProgressGaugePanel;
import ru.dbotthepony.mc.otm.menu.MatterBottlerMenu;
import ru.dbotthepony.mc.otm.menu.slot.MatterySlot;

import javax.annotation.Nullable;
import java.util.List;

public class MatterBottlerScreen extends MatteryScreen<MatterBottlerMenu> {
	public MatterBottlerScreen(MatterBottlerMenu menu, Inventory inventory, Component title) {
		super(menu, inventory, title);
	}

	@Nullable
	@Override
	protected FramePanel makeMainFrame() {
		var frame = super.makeMainFrame();

		var mode = new ButtonPanel(this, frame, 0, 0, 100, 20, new TranslatableComponent("otm.matter_bottler.switch_mode"));
		mode.bindOnPress(menu::switchBottlerMode);
		mode.setDock(Dock.TOP);
		mode.asGrid(); // for auto alignment on center

		return frame;
	}
}
